Bug 475803 - fingerprint authentication in PolicyKit dialogs leads to lockup
fingerprint authentication in PolicyKit dialogs leads to lockup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PolicyKit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 10:32 EST by Matthias Clasen
Modified: 2013-03-05 22:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:55:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2008-12-10 10:32:16 EST
As you said, 

The problem is that we have a nice loop.

- UI asks PolicyKit for auth
- auth uses pam, thus pam_fprintd
- pam_fprintd talks to fprintd
- fprintd needs PolicyKit ack
Comment 1 David Zeuthen 2008-12-15 22:33:54 EST
By default fprintd should allow users in an active session on the local console access. I mean, why is it useful to lock down access to local users? I can see why it's useful to lock down access to remote users but...

(it's actually a serious question, what kind of threat model are we looking at here? I'm not a domain expert so I don't know.)

Also, I think it's a pam_fprintd bug that there's a loop. If polkit tells fprintd that the user isn't authorized, it should tell it to pam_fprintd. Then pam_fprintd should back out and PAM should fall back to unix_passwd. 

(Then you can enter your UNIX password in order to then swipe your finger or type your password again! Very useless, I know!)
Comment 2 Bastien Nocera 2008-12-17 10:13:12 EST
(In reply to comment #1)
> By default fprintd should allow users in an active session on the local console
> access. I mean, why is it useful to lock down access to local users?

It's not useful, and that's not what we do by default. but it's possible using the PolicyKit GNOME UI, so any admin could screw up their system.

> I can see
> why it's useful to lock down access to remote users but...

> (it's actually a serious question, what kind of threat model are we looking at
> here? I'm not a domain expert so I don't know.)
> 
> Also, I think it's a pam_fprintd bug that there's a loop.

We exit the loop as soon as the call to VerifyStart fails.

> If polkit tells
> fprintd that the user isn't authorized, it should tell it to pam_fprintd. Then
> pam_fprintd should back out and PAM should fall back to unix_passwd. 

Which is what it does.

> (Then you can enter your UNIX password in order to then swipe your finger or
> type your password again! Very useless, I know!)

So do I. This bug wouldn't happen by default, only when the admin changes the default PolicyKit config.
Comment 3 Bug Zapper 2009-06-09 06:12:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matthias Clasen 2009-06-11 12:38:46 EDT
I believe this is fixed in PolicyKit 0.92. Not sure if it is feasible (or worthwhile) to consider backporting the fix to the F11 polkit.
Comment 5 Julian Sikorski 2009-07-19 11:12:09 EDT
I'm not sure if I understand the comment #2 correctly, but the definitely happens here once I enrol a fingerprint for root. thinkfinger worked fine btw.
Comment 6 Bastien Nocera 2009-07-21 08:45:58 EDT
David was mentioning changes in the PAM stack for the polkit in F12.
Comment 7 Julian Sikorski 2010-01-05 16:01:03 EST
Yeah, it works in F-12. On the other hand, there is no way to auth with password without failing the swipe 3 times (upek_ts), but that's a separate issue.
Comment 8 Bug Zapper 2010-04-27 08:30:13 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 06:55:48 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.